<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglContainersSubgraph.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_5e9011f35b9434939eeeb25c7dbf1304.html">containers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglContainersSubgraph.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglContainersSubgraph_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLCONTAINERSSUBGRAPH_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLCONTAINERSSUBGRAPH_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersGraphTraits_8hpp.html">tiglContainersGraphTraits.hpp</a>&quot;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersSubgraphBase_8hpp.html">tiglContainersSubgraphBase.hpp</a>&quot;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglCommunicationSysMessage_8hpp.html">tiglCommunicationSysMessage.hpp</a>&quot;</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglMutationMessage_8hpp.html">tiglMutationMessage.hpp</a>&quot;</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglUtilsMacros_8h.html">tiglUtilsMacros.h</a>&quot;</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglUtilsOmpTools_8h.html">tiglUtilsOmpTools.h</a>&quot;</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment"> * TIGLContainersSubgraph class</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">class </span><a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#define LOCAL_EXTERNAL_MESSAGE_SIZE     1024</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> CVertex, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html">   76</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph</a>: <span class="keyword">public</span> <a class="code" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase</a>&lt;CVertex&gt;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;{</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">    * type definitions</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;   <span class="keyword">typedef</span> <a class="code" href="structTIGLContainersGraphTraits.html">TIGLContainersGraphTraits&lt;CVertex&gt;</a> <a class="code" href="structTIGLContainersGraphTraits.html">trait_type</a>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> trait_type::ID_TYPE ID_TYPE;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> trait_type::EDGE_TYPE EDGE_TYPE;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> trait_type::FAST_LIST_TYPE VERTEX_LIST_TYPE;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> trait_type::FAST_VERTEX_ITERATOR VERTEX_ITERATOR;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;   <span class="keyword">typedef</span> <a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> <a class="code" href="classTIGLContainersVertexBase.html">VERTEX_TYPE</a>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> TIGLContainersSubgraphBase&lt;CVertex&gt;::INDEX_ITERATOR INDEX_ITERATOR;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;   <span class="keyword">typedef</span> vector&lt;MessageType&gt; MESSAGE_BUF_TYPE;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> vector&lt;MESSAGE_BUF_TYPE&gt;::iterator MESSAGE_BUF_ITERATOR;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;   <span class="keyword">typedef</span> MessageType MESSAGE_TYPE;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;   <span class="keyword">typedef</span> <a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a> <a class="code" href="classTIGLMutationMessage.html">MUTATION_MESSAGE</a>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;   <span class="keyword">typedef</span> vector&lt;MUTATION_MESSAGE&gt; MUTATION_MBUF;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;   <span class="keyword">typedef</span> <span class="keyword">typename</span> vector&lt;EDGE_TYPE&gt;::iterator EDGE_ITERATOR;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;   <span class="keyword">typedef</span> MESSAGE_BUF_TYPE EXTERNAL_MESSAGE_BUF;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;   <span class="keyword">typedef</span> map&lt;ID_TYPE, uint_fast32_t&gt; EXTERNAL_POS_BUF;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="comment">    * constructor/destructor</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;   <a class="code" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph</a>(<span class="keywordtype">bool</span> flagDirected, <span class="keywordtype">int</span> threads = NUM_OMP_THREADS, uint_fast32_t assignedHashSize = 0);</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;   <a class="code" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph</a>(VERTEX_LIST_TYPE &amp; init_adj_list, <span class="keywordtype">bool</span> flagDirected, <span class="keywordtype">int</span> threads = NUM_OMP_THREADS, uint_fast32_t assignedHashSize = 0);</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;   ~<a class="code" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph</a>();</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment">    * attributes</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a2e790b3ee9c89f14a2a583588d26c2cb">  119</a></span>&#160;   vector&lt;MESSAGE_BUF_TYPE&gt; *<a class="code" href="classTIGLContainersSubgraph.html#a2e790b3ee9c89f14a2a583588d26c2cb">evenTimeMessages</a>;</div>
<div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a950896b5e64c04c6ce1a017b5547e7f2">  121</a></span>&#160;   vector&lt;MESSAGE_BUF_TYPE&gt; *<a class="code" href="classTIGLContainersSubgraph.html#a950896b5e64c04c6ce1a017b5547e7f2">oddTimeMessages</a>;</div>
<div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a44007b73a9f289a166b7e4473057db52">  123</a></span>&#160;   vector&lt;uint_fast32_t&gt; *<a class="code" href="classTIGLContainersSubgraph.html#a44007b73a9f289a166b7e4473057db52">oddMessageCount</a>;</div>
<div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#ab6f6dcae74a1ea693b72da2b6e33dea4">  125</a></span>&#160;   vector&lt;uint_fast32_t&gt; *<a class="code" href="classTIGLContainersSubgraph.html#ab6f6dcae74a1ea693b72da2b6e33dea4">evenMessageCount</a>;</div>
<div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a77992a2244609d65625766b2a159fe4e">  127</a></span>&#160;   EXTERNAL_MESSAGE_BUF *<a class="code" href="classTIGLContainersSubgraph.html#a77992a2244609d65625766b2a159fe4e">externalOutMessages</a>;</div>
<div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a46cae8dbbb66601df02e0f2196873ccc">  129</a></span>&#160;   EXTERNAL_MESSAGE_BUF *<a class="code" href="classTIGLContainersSubgraph.html#a46cae8dbbb66601df02e0f2196873ccc">localExternalOutMessages</a>;</div>
<div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#acc86e11aabe7fd2bc6a9802c1fdb921e">  131</a></span>&#160;   uint_fast32_t *<a class="code" href="classTIGLContainersSubgraph.html#acc86e11aabe7fd2bc6a9802c1fdb921e">externalOutMessagesCount</a>;</div>
<div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a2c08cd85fd08fbe3c06fbab83d78e833">  133</a></span>&#160;   vector&lt;TIGLCommunicationSysMessage&gt; <a class="code" href="classTIGLContainersSubgraph.html#a2c08cd85fd08fbe3c06fbab83d78e833">outSysMessages</a>;</div>
<div class="line"><a name="l00135"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#af9927c5fc0c20fde874287ea90f519e8">  135</a></span>&#160;   uint_fast32_t <a class="code" href="classTIGLContainersSubgraph.html#af9927c5fc0c20fde874287ea90f519e8">outSysMessagesCount</a>;</div>
<div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a62f89f570e32c3ae471632171c44dd19">  137</a></span>&#160;   vector&lt;TIGLCommunicationSysMessage&gt; <a class="code" href="classTIGLContainersSubgraph.html#a62f89f570e32c3ae471632171c44dd19">evenInSysMessages</a>;</div>
<div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a7327f746951694590bc27ec581771dfb">  139</a></span>&#160;   vector&lt;TIGLCommunicationSysMessage&gt; <a class="code" href="classTIGLContainersSubgraph.html#a7327f746951694590bc27ec581771dfb">oddInSysMessages</a>;</div>
<div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a4c207d3ccc3b56aa2222bf792d939014">  141</a></span>&#160;   MUTATION_MBUF *<a class="code" href="classTIGLContainersSubgraph.html#a4c207d3ccc3b56aa2222bf792d939014">outMutationMessages</a>;</div>
<div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a1590a714907035e3bb0ffbeda51aedab">  143</a></span>&#160;   MUTATION_MBUF *<a class="code" href="classTIGLContainersSubgraph.html#a1590a714907035e3bb0ffbeda51aedab">inMutationMessages</a>;</div>
<div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="classTIGLContainersSubgraph.html#a9bbb4bb9902b794463435729145cf5a1">  145</a></span>&#160;   <span class="keywordtype">int</span> <a class="code" href="classTIGLContainersSubgraph.html#a9bbb4bb9902b794463435729145cf5a1">numAllocThreads</a>;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;   <span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="comment">    * methods</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="comment">    *</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="comment">    ******************************************************************************/</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;   <span class="keywordtype">void</span> reset();</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;   <span class="keywordtype">void</span> resetMessageBuf();</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;   <span class="keywordtype">void</span> init();</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">int</span> getNumAllocThreads();</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;   <span class="keywordtype">void</span> addVertex(<a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> &amp; x);</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;   <span class="keywordtype">void</span> addVertex(ID_TYPE <span class="keywordtype">id</span>);</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;   <span class="keywordtype">bool</span> addVertexConsistent(<a class="code" href="classTIGLContainersVertexBase.html">CVertex</a> &amp; x);</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;   <span class="keywordtype">void</span> clearMessages(<span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;   <span class="keywordtype">void</span> clearAllMessages(<span class="keywordtype">bool</span> oddTimeFlag);</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;   <span class="keyword">inline</span> uint_fast32_t getNumMessages(uint_fast32_t index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;   <span class="keyword">inline</span> uint_fast32_t * getNumMessagesPtr(uint_fast32_t index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;   uint_fast32_t getTotalMessageCount(<span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> clearNumMessages(uint_fast32_t index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> incrementNumMessages(uint_fast32_t index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> setNumMessages(uint_fast32_t index, uint_fast32_t numMessages, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> setAllNumMessages(uint_fast32_t index, uint_fast32_t numMessages, <span class="keywordtype">bool</span> oddTimeFlag);</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;   <span class="keyword">inline</span> MESSAGE_BUF_TYPE * getIndexedMessageBuf(ID_TYPE index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;   <span class="keyword">inline</span> vector&lt;MESSAGE_BUF_TYPE&gt; * getDataMessageBuf(<span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> thread = 0);</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> pushLocalMutationMessage(<a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a> &amp; message, <span class="keywordtype">int</span> workingThread = 0);</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;   <span class="keyword">inline</span> uint_fast32_t numLocalMutationMessage(<span class="keywordtype">int</span> workingThread = 0);</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> pushExternalMutationMessage(<a class="code" href="classTIGLMutationMessage.html">TIGLMutationMessage</a> &amp; message, <span class="keywordtype">int</span> workingThread = 0);</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;   <span class="keyword">inline</span> uint_fast32_t numExternalMutationMessage(<span class="keywordtype">int</span> workingThread = 0);</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;   <span class="keyword">inline</span> uint_fast32_t numAllLocalMutationMessage();</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> clearExternalMutationMessage(<span class="keywordtype">int</span> workingThread = 0);</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> pushSysMessage(<a class="code" href="classTIGLCommunicationSysMessage.html">TIGLCommunicationSysMessage</a> &amp; message);</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;   <span class="keywordtype">void</span> consumeSysMessages(vector&lt;TIGLCommunicationSysMessage&gt; *messBuf);</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> clearOutSysMessage();</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> clearInSysMessage(<span class="keywordtype">bool</span> oddTimeFlag);</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;   <span class="keyword">template</span>&lt;<span class="keyword">typename</span> COMBINER_CLASS&gt;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;   <span class="keywordtype">void</span> pushDataMessage(MESSAGE_TYPE &amp; message, uint_fast32_t index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> workingThread, COMBINER_CLASS combiner);</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;   <span class="keywordtype">void</span> pushDataMessage(MESSAGE_TYPE &amp; message, uint_fast32_t index, <span class="keywordtype">bool</span> oddTimeFlag, <span class="keywordtype">int</span> workingThread);</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> pushExternalDataMessage(MESSAGE_TYPE &amp; message, uint_fast32_t thread);</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> flushExternalDataMessage();</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;   <span class="keywordtype">void</span> consumeExternalDataMessageBuf(EXTERNAL_MESSAGE_BUF *commBuf, <span class="keywordtype">int</span> thread);</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">void</span> clearAllExternalMessageBuf();</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;   <span class="keyword">inline</span> vector&lt;TIGLCommunicationSysMessage&gt; * getOutSysMessageBuf();</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;   <span class="keyword">inline</span> vector&lt;TIGLCommunicationSysMessage&gt; * getInSysMessageBuf(<span class="keywordtype">bool</span> oddTimeFlag);</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;   <span class="keyword">inline</span> <span class="keywordtype">bool</span> isBiVertex();</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;   uint_fast32_t getTotalExternalMessageCount();</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;   <span class="keyword">inline</span> EXTERNAL_MESSAGE_BUF * getExternalMessageBuf(uint_fast32_t thread);</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;   <span class="keyword">inline</span> ID_TYPE getExternalVertexSize(uint_fast32_t thread);</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;   ID_TYPE getExternalVertexSize();</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;   <span class="keyword">inline</span> MUTATION_MBUF * getOutMutationMessageBuf(uint_fast32_t thread);</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;   <span class="keyword">inline</span> MUTATION_MBUF * getInMutationMessageBuf(uint_fast32_t thread);</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;   uint_fast32_t memory_usage();</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;};</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglContainersSubgraphImplementation_8hpp.html">tiglContainersSubgraphImplementation.hpp</a>&quot;</span></div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLCONTAINERSSUBGRAPH_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="tiglContainersSubgraphBase_8hpp_html"><div class="ttname"><a href="tiglContainersSubgraphBase_8hpp.html">tiglContainersSubgraphBase.hpp</a></div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a2c08cd85fd08fbe3c06fbab83d78e833"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a2c08cd85fd08fbe3c06fbab83d78e833">TIGLContainersSubgraph::outSysMessages</a></div><div class="ttdeci">vector&lt; TIGLCommunicationSysMessage &gt; outSysMessages</div><div class="ttdoc">external system message buffer for the current device </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:133</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a1590a714907035e3bb0ffbeda51aedab"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a1590a714907035e3bb0ffbeda51aedab">TIGLContainersSubgraph::inMutationMessages</a></div><div class="ttdeci">MUTATION_MBUF * inMutationMessages</div><div class="ttdoc">Buffer for local mutation messages (no ping-pong is needed as they are processed seperately at the be...</div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:143</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a44007b73a9f289a166b7e4473057db52"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a44007b73a9f289a166b7e4473057db52">TIGLContainersSubgraph::oddMessageCount</a></div><div class="ttdeci">vector&lt; uint_fast32_t &gt; * oddMessageCount</div><div class="ttdoc">ping message count buffer for the local vertices </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:123</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a2e790b3ee9c89f14a2a583588d26c2cb"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a2e790b3ee9c89f14a2a583588d26c2cb">TIGLContainersSubgraph::evenTimeMessages</a></div><div class="ttdeci">vector&lt; MESSAGE_BUF_TYPE &gt; * evenTimeMessages</div><div class="ttdoc">ping message buffer for the local vertices </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:119</div></div>
<div class="ttc" id="tiglUtilsMacros_8h_html"><div class="ttname"><a href="tiglUtilsMacros_8h.html">tiglUtilsMacros.h</a></div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a46cae8dbbb66601df02e0f2196873ccc"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a46cae8dbbb66601df02e0f2196873ccc">TIGLContainersSubgraph::localExternalOutMessages</a></div><div class="ttdeci">EXTERNAL_MESSAGE_BUF * localExternalOutMessages</div><div class="ttdoc">temporary buffer for external messages </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:129</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a9bbb4bb9902b794463435729145cf5a1"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a9bbb4bb9902b794463435729145cf5a1">TIGLContainersSubgraph::numAllocThreads</a></div><div class="ttdeci">int numAllocThreads</div><div class="ttdoc">number of allocated message buffers that are access simultaneously. The default value is 1 for single...</div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:145</div></div>
<div class="ttc" id="tiglContainersGraphTraits_8hpp_html"><div class="ttname"><a href="tiglContainersGraphTraits_8hpp.html">tiglContainersGraphTraits.hpp</a></div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a950896b5e64c04c6ce1a017b5547e7f2"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a950896b5e64c04c6ce1a017b5547e7f2">TIGLContainersSubgraph::oddTimeMessages</a></div><div class="ttdeci">vector&lt; MESSAGE_BUF_TYPE &gt; * oddTimeMessages</div><div class="ttdoc">pong message buffer for the local vertices </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:121</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_acc86e11aabe7fd2bc6a9802c1fdb921e"><div class="ttname"><a href="classTIGLContainersSubgraph.html#acc86e11aabe7fd2bc6a9802c1fdb921e">TIGLContainersSubgraph::externalOutMessagesCount</a></div><div class="ttdeci">uint_fast32_t * externalOutMessagesCount</div><div class="ttdoc">counter for external data messages for each thread </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:131</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_af9927c5fc0c20fde874287ea90f519e8"><div class="ttname"><a href="classTIGLContainersSubgraph.html#af9927c5fc0c20fde874287ea90f519e8">TIGLContainersSubgraph::outSysMessagesCount</a></div><div class="ttdeci">uint_fast32_t outSysMessagesCount</div><div class="ttdoc">counter of overall external system messages during a superstep </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:135</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a7327f746951694590bc27ec581771dfb"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a7327f746951694590bc27ec581771dfb">TIGLContainersSubgraph::oddInSysMessages</a></div><div class="ttdeci">vector&lt; TIGLCommunicationSysMessage &gt; oddInSysMessages</div><div class="ttdoc">pong Local system message buffer for the current device </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:139</div></div>
<div class="ttc" id="classTIGLContainersSubgraphBase_html"><div class="ttname"><a href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase</a></div><div class="ttdoc">Core data container for a subgraph in each device. </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraphBase.hpp:189</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_ab6f6dcae74a1ea693b72da2b6e33dea4"><div class="ttname"><a href="classTIGLContainersSubgraph.html#ab6f6dcae74a1ea693b72da2b6e33dea4">TIGLContainersSubgraph::evenMessageCount</a></div><div class="ttdeci">vector&lt; uint_fast32_t &gt; * evenMessageCount</div><div class="ttdoc">pong message count buffer for the local vertices </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:125</div></div>
<div class="ttc" id="tiglMutationMessage_8hpp_html"><div class="ttname"><a href="tiglMutationMessage_8hpp.html">tiglMutationMessage.hpp</a></div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a77992a2244609d65625766b2a159fe4e"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a77992a2244609d65625766b2a159fe4e">TIGLContainersSubgraph::externalOutMessages</a></div><div class="ttdeci">EXTERNAL_MESSAGE_BUF * externalOutMessages</div><div class="ttdoc">External data messages buffer. Each entry is indexed by a vertex id and contains a message buffer tha...</div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:127</div></div>
<div class="ttc" id="tiglContainersSubgraphImplementation_8hpp_html"><div class="ttname"><a href="tiglContainersSubgraphImplementation_8hpp.html">tiglContainersSubgraphImplementation.hpp</a></div></div>
<div class="ttc" id="tiglCommunicationSysMessage_8hpp_html"><div class="ttname"><a href="tiglCommunicationSysMessage_8hpp.html">tiglCommunicationSysMessage.hpp</a></div></div>
<div class="ttc" id="structTIGLContainersGraphTraits_html"><div class="ttname"><a href="structTIGLContainersGraphTraits.html">TIGLContainersGraphTraits</a></div><div class="ttdoc">Basic type definitions for TIGLContainersSubgraphBase class. </div><div class="ttdef"><b>Definition:</b> tiglContainersGraphTraits.hpp:64</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a62f89f570e32c3ae471632171c44dd19"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a62f89f570e32c3ae471632171c44dd19">TIGLContainersSubgraph::evenInSysMessages</a></div><div class="ttdeci">vector&lt; TIGLCommunicationSysMessage &gt; evenInSysMessages</div><div class="ttdoc">ping Local system message buffer for the current device </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:137</div></div>
<div class="ttc" id="classTIGLCommunicationSysMessage_html"><div class="ttname"><a href="classTIGLCommunicationSysMessage.html">TIGLCommunicationSysMessage</a></div><div class="ttdoc">Core system message class definition. </div><div class="ttdef"><b>Definition:</b> tiglCommunicationSysMessage.hpp:96</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html_a4c207d3ccc3b56aa2222bf792d939014"><div class="ttname"><a href="classTIGLContainersSubgraph.html#a4c207d3ccc3b56aa2222bf792d939014">TIGLContainersSubgraph::outMutationMessages</a></div><div class="ttdeci">MUTATION_MBUF * outMutationMessages</div><div class="ttdoc">buffer of external mutation messages </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:141</div></div>
<div class="ttc" id="classTIGLContainersSubgraph_html"><div class="ttname"><a href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph</a></div><div class="ttdoc">Graph container for each device in the TIGL. </div><div class="ttdef"><b>Definition:</b> tiglContainersSubgraph.hpp:76</div></div>
<div class="ttc" id="tiglUtilsOmpTools_8h_html"><div class="ttname"><a href="tiglUtilsOmpTools_8h.html">tiglUtilsOmpTools.h</a></div></div>
<div class="ttc" id="classTIGLMutationMessage_html"><div class="ttname"><a href="classTIGLMutationMessage.html">TIGLMutationMessage</a></div><div class="ttdoc">Core mutation Massage container class. </div><div class="ttdef"><b>Definition:</b> tiglMutationMessage.hpp:70</div></div>
<div class="ttc" id="classTIGLContainersVertexBase_html"><div class="ttname"><a href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a></div><div class="ttdoc">Core vertex class. </div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:89</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
